import { OnesTableCellHitInfo } from '../../../../../../@ones-table/common';
import { GC } from '../../../../../../@ones-table/core';
import { AbstractCommandBar, CommandItem } from '../../../types';
import CellToolbar from '../../../cell-toolbar';
import './cell-attachment-toolbar.scss';
export default class CellAttachmentToolbar extends CellToolbar {
    attachmentIndex: number;
    getItems(sheet: GC.Spread.Sheets.Worksheet, row: number, col: number, hitInfo: OnesTableCellHitInfo): CommandItem[] | null;
    createTarget(sheet: GC.Spread.Sheets.Worksheet, row: number, col: number, hitInfo: GC.Spread.Sheets.IHitTestCellTypeHitInfo): HTMLElement;
    getTarget(): HTMLElement;
    handleClickItem(bar: AbstractCommandBar, item: CommandItem): void;
    getAttachment(): import("@ones-table/common").OnesTableAttachmentItem | null;
    handlePreview(): void;
    handleDownload(): void;
    handleDelete(): void;
}
